Package com.ocient.jdbc.proto

# Class PlanProtocol.SortPartition.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<BuilderType>
com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.SortPartition.Builder>
com.ocient.jdbc.proto.PlanProtocol.SortPartition.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `PlanProtocol.SortPartitionOrBuilder`, `Cloneable`

Enclosing class:
  PlanProtocol.SortPartition

    public static final class PlanProtocol.SortPartition.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.SortPartition.Builder>
    implements PlanProtocol.SortPartitionOrBuilder

Protobuf type `xg.db.sqlPlans.SortPartition`

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---

`PlanProtocol.SortPartition.Builder`

`addAllDenormVal​(Iterable<? extends Float> values)`

The values are guaranteed to be in sort key order There may not be a value for all sort keys though For example, there may only be a value for the first sort key, which means we can partition only on that and we don't need to worry about subsequent sort keys All partitions are closed on the lower side and open on the higher side

`PlanProtocol.SortPartition.Builder` | `addDenormVal​(float value)` | The values are guaranteed to be in sort key order There may not be a value for all sort keys though For example, there may only be a value for the first sort key, which means we can partition only on that and we don't need to worry about subsequent sort keys All partitions are closed on the lower side and open on the higher side
`PlanProtocol.SortPartition.Builder` | `addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)` |
`PlanProtocol.SortPartition` | `build()` |
`PlanProtocol.SortPartition` | `buildPartial()` |
`PlanProtocol.SortPartition.Builder` | `clear()` |
`PlanProtocol.SortPartition.Builder` | `clearDenormVal()` | The values are guaranteed to be in sort key order There may not be a value for all sort keys though For example, there may only be a value for the first sort key, which means we can partition only on that and we don't need to worry about subsequent sort keys All partitions are closed on the lower side and open on the higher side
`PlanProtocol.SortPartition.Builder` | `clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)` |
`PlanProtocol.SortPartition.Builder` | `clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)` |
`PlanProtocol.SortPartition.Builder` | `clone()` |
`PlanProtocol.SortPartition` | `getDefaultInstanceForType()` |
`float` | `getDenormVal​(int index)` | The values are guaranteed to be in sort key order There may not be a value for all sort keys though For example, there may only be a value for the first sort key, which means we can partition only on that and we don't need to worry about subsequent sort keys All partitions are closed on the lower side and open on the higher side
`int` | `getDenormValCount()` | The values are guaranteed to be in sort key order There may not be a value for all sort keys though For example, there may only be a value for the first sort key, which means we can partition only on that and we don't need to worry about subsequent sort keys All partitions are closed on the lower side and open on the higher side
`List<Float>` | `getDenormValList()` | The values are guaranteed to be in sort key order There may not be a value for all sort keys though For example, there may only be a value for the first sort key, which means we can partition only on that and we don't need to worry about subsequent sort keys All partitions are closed on the lower side and open on the higher side
`static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()` |
`com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()` |
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` | `internalGetFieldAccessorTable()` |
`boolean` | `isInitialized()` |
`PlanProtocol.SortPartition.Builder` | `mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
`PlanProtocol.SortPartition.Builder` | `mergeFrom​(com.google.protobuf.Message other)` |
`PlanProtocol.SortPartition.Builder` | `mergeFrom​(PlanProtocol.SortPartition other)` |
`PlanProtocol.SortPartition.Builder` | `mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)` |

`PlanProtocol.SortPartition.Builder`

`setDenormVal​(int index, float value)`

The values are guaranteed to be in sort key order There may not be a value for all sort keys though For example, there may only be a value for the first sort key, which means we can partition only on that and we don't need to worry about subsequent sort keys All partitions are closed on the lower side and open on the higher side

`PlanProtocol.SortPartition.Builder` | `setField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)` |
`PlanProtocol.SortPartition.Builder` | `setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)` |
`PlanProtocol.SortPartition.Builder` | `setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)` |

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getDescriptor

public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.SortPartition.Builder>`

### clear

public PlanProtocol.SortPartition.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.SortPartition.Builder>`

### getDescriptorForType

public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.SortPartition.Builder>`

### getDefaultInstanceForType

public PlanProtocol.SortPartition getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

### build

public PlanProtocol.SortPartition build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

### buildPartial

public PlanProtocol.SortPartition buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

### clone

public PlanProtocol.SortPartition.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.SortPartition.Builder>`

### setField

public PlanProtocol.SortPartition.Builder setField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.SortPartition.Builder>`

### clearField

public PlanProtocol.SortPartition.Builder clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.SortPartition.Builder>`

### clearOneof

public PlanProtocol.SortPartition.Builder clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.SortPartition.Builder>`

### setRepeatedField

public PlanProtocol.SortPartition.Builder setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.SortPartition.Builder>`

### addRepeatedField

public PlanProtocol.SortPartition.Builder addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.SortPartition.Builder>`

### mergeFrom

public PlanProtocol.SortPartition.Builder mergeFrom​(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<PlanProtocol.SortPartition.Builder>`

### mergeFrom

public PlanProtocol.SortPartition.Builder mergeFrom​(PlanProtocol.SortPartition other)

### isInitialized

public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.SortPartition.Builder>`

### mergeFrom

public PlanProtocol.SortPartition.Builder mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<PlanProtocol.SortPartition.Builder>`
Throws:
  `IOException`

### getDenormValList

public List<Float> getDenormValList()

    The values are guaranteed to be in sort key order
    There may not be a value for all sort keys though
    For example, there may only be a value for the first sort
    key, which means we can partition only on that
    and we don't need to worry about subsequent sort keys
    All partitions are closed on the lower side and open on the higher side

`repeated float denormVal = 1;`

Specified by:
  `getDenormValList` in interface `PlanProtocol.SortPartitionOrBuilder`

### getDenormValCount

public int getDenormValCount()

    The values are guaranteed to be in sort key order
    There may not be a value for all sort keys though
    For example, there may only be a value for the first sort
    key, which means we can partition only on that
    and we don't need to worry about subsequent sort keys
    All partitions are closed on the lower side and open on the higher side

`repeated float denormVal = 1;`

Specified by:
  `getDenormValCount` in interface `PlanProtocol.SortPartitionOrBuilder`

### getDenormVal

public float getDenormVal​(int index)

    The values are guaranteed to be in sort key order
    There may not be a value for all sort keys though
    For example, there may only be a value for the first sort
    key, which means we can partition only on that
    and we don't need to worry about subsequent sort keys
    All partitions are closed on the lower side and open on the higher side

`repeated float denormVal = 1;`

Specified by:
  `getDenormVal` in interface `PlanProtocol.SortPartitionOrBuilder`

### setDenormVal

public PlanProtocol.SortPartition.Builder setDenormVal​(int index, float value)

    The values are guaranteed to be in sort key order
    There may not be a value for all sort keys though
    For example, there may only be a value for the first sort
    key, which means we can partition only on that
    and we don't need to worry about subsequent sort keys
    All partitions are closed on the lower side and open on the higher side

`repeated float denormVal = 1;`

### addDenormVal

public PlanProtocol.SortPartition.Builder addDenormVal​(float value)

    The values are guaranteed to be in sort key order
    There may not be a value for all sort keys though
    For example, there may only be a value for the first sort
    key, which means we can partition only on that
    and we don't need to worry about subsequent sort keys
    All partitions are closed on the lower side and open on the higher side

`repeated float denormVal = 1;`

### addAllDenormVal

public PlanProtocol.SortPartition.Builder addAllDenormVal​(Iterable<? extends Float> values)

    The values are guaranteed to be in sort key order
    There may not be a value for all sort keys though
    For example, there may only be a value for the first sort
    key, which means we can partition only on that
    and we don't need to worry about subsequent sort keys
    All partitions are closed on the lower side and open on the higher side

`repeated float denormVal = 1;`

### clearDenormVal

public PlanProtocol.SortPartition.Builder clearDenormVal()

    The values are guaranteed to be in sort key order
    There may not be a value for all sort keys though
    For example, there may only be a value for the first sort
    key, which means we can partition only on that
    and we don't need to worry about subsequent sort keys
    All partitions are closed on the lower side and open on the higher side

`repeated float denormVal = 1;`

### setUnknownFields

public final PlanProtocol.SortPartition.Builder setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.SortPartition.Builder>`

### mergeUnknownFields

public final PlanProtocol.SortPartition.Builder mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<PlanProtocol.SortPartition.Builder>`